#!/usr/bin/fades

"""Demo GUI 2 para la charla de intro a async.

fades:
    PyQt6
"""

import time

from PyQt6.QtWidgets import QApplication, QVBoxLayout, QWidget, QLabel, QPushButton
from PyQt6.QtGui import QFont
from PyQt6.QtCore import Qt, QTimer


def big_label(message):
    label = QLabel(message)
    label.setAlignment(Qt.AlignmentFlag.AlignCenter)
    label.setFont(QFont('Arial', 20))
    return label


class Window(QWidget):
    def __init__(self):
        super().__init__()
        self.resize(250, 250)
        self.setWindowTitle("Primer ejemplo")

        layout = QVBoxLayout()
        self.setLayout(layout)

        self.time_label = big_label("")
        layout.addWidget(self.time_label)

        self.message = "Bienvenides a la charla"
        self.msg_label = big_label(self.message)
        layout.addWidget(self.msg_label)

        button = QPushButton("Más felices")
        button.clicked.connect(self.happier)
        layout.addWidget(button)

        self.timer = QTimer()
        self.timer.timeout.connect(self.alarm)
        self.timer.start(1000)
        self.alarm()

    def alarm(self):
        dt = time.ctime()
        self.time_label.setText(dt)

    def happier(self):
        self.message += "\n😀"
        self.msg_label.setText(self.message)


app = QApplication([])
window = Window()
window.show()
app.exec()
